# Get

## Retrieve a list of your collections

### Parameters:

| Name           | Optional / Required | Data type | Description                                                                                                  | Default                                               |
| -------------- | ------------------- | --------- | ------------------------------------------------------------------------------------------------------------ | ----------------------------------------------------- |
| offset         | optional            | Integer   | Retrieve rows at position X (min. 0)                                                                         | 0                                                     |
| limit          | optional            | Integer   | Retrieve X rows (min. 0 and max. 100)                                                                        | 10                                                    |
| return\_fields | optional            | String    | Customize the responses by setting the return fields (id, create\_date, update\_date, name, order, sections) | id, create\_date, update\_date, name, order, sections |

### Demo

&#x20;URL Find your token on - [yumpu.com](https://www.yumpu.com/en/account/profile/api) Token&#x20;

#### Optional parameters:

&#x20;offset  limit  return\_fields&#x20;

Add optional parametersRun request

```
```

{% tabs %}
{% tab title="curl" %}
Example:

```
curl -X GET -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" "https://api.yumpu.com/2.0/collections.json"
```

{% endtab %}

{% tab title="PHP" %}
Example:

```php
require_once('../yumpu.php');
$yumpu = new Yumpu();
$data = array(
    'limit' => 1, 
    'offset' => 0,
    'return_fields' => 'id,create_date,update_date,name,order,sections'
);
$listColection = $yumpu->getCollections($data);
print_r($listColection);
```

{% endtab %}

{% tab title="JavaScript" %}
Example:

```javascript
var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
  offset: 0,
  limit: 1,
  return_fields: 'id,create_date,update_date,name,order,sections'
};
yumpu.getCollections(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});
```

{% endtab %}

{% tab title="Java" %}
Example:

```java
Yumpu y = new Yumpu("your access token");
String[] params = {"limit=1", "offset=0", "return_fields=id,create_date,update_date,name,order,sections"};
System.out.println(y.getCollections(params));
```

{% endtab %}
{% endtabs %}

Whatever language you are using, the result will be the same.

```bash
{
  "collections": [
    {
      "id": "iMWWKoMS76pjqMoO",
      "create_date": "2013-09-23 08:01:01",
      "update_date": "2013-09-23 08:01:35",
      "name": "My magazines",
      "order": 0,
      "sections": [
        {
          "id": "iMWWKoMS76pjqMoO_2mqhaSEMTVpvFwrY",
          "name": "Top 3",
          "description": "Top 3",
          "sorting": "manually",
          "order": 0
        },
        {
          "id": "iMWWKoMS76pjqMoO_vpgFQQ3sHervO8yj",
          "name": "Look at that",
          "description": "Look at that",
          "sorting": "title_desc",
          "order": 1
        }
      ]
    }
  ],
  "state": "success"
}
```
